Skip to content
SENS Platform Docs

Set a temporary password and revoke all sessions.

POST
/v1/users/{userId}/reset-password
curl --request POST \
--url https://api.dev.iot-sens.schlossers.at/v1/users/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/reset-password \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "temporaryPassword": "example" }'
userId
required
string format: uuid
Media typeapplication/json
object
temporaryPassword
required
string
>= 15 characters <= 128 characters
Examplegenerated
{
"temporaryPassword": "example"
}

Temporary password set.

A safe platform error response.

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: VALIDATION_FAILED AUTHENTICATION_FAILED AUTHORIZATION_FAILED RESOURCE_NOT_FOUND CONFLICT DEPENDENCY_FAILURE FLOW_FAILURE RATE_LIMITED INTERNAL_ERROR
category
required
string
Allowed values: validation authentication authorization not_found conflict dependency_failure flow_failure rate_limit internal
message
required

Safe client-facing diagnostic message.

string
correlationId
required

Correlation ID for operational investigation.

string
>= 1 characters
details

Safe bounded diagnostic details.

object
key
additional properties
One of:
string
Example
{
"error": {
"code": "VALIDATION_FAILED",
"category": "validation"
}
}
Cache-Control
string
Allowed value: no-store